#
# spec file for package perl-IO-Socket-INET6
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with test

Name:           perl-IO-Socket-INET6
Version:        2.72
Release:        lp150.1.6
%define cpan_name IO-Socket-INET6
Summary:        Object interface for AF_INET/AF_INET6 domain sockets
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Socket-INET6/
Source:         http://www.cpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}
%if %{with test}
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
%endif
BuildRequires:  perl(Module::Build) >= 0.36
BuildRequires:  perl(Socket6) >= 0.12
Requires:       perl(Socket6) >= 0.12

%description
IO::Socket::INET6 provides an object interface to creating and using
   sockets in either AF_INET or AF_INET6 domains. It is built upon the
   IO::Socket interface and inherits all the methods defined by IO::Socket.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build
#exclude this test as it needs IPv6 network
mv t/io_sock6.t t/io_sock6.tt

%if %{with test}

%check
#disable test suite as it doesn't work at all without being online
#and our build hosts are completly without network interfaces
./Build test
%endif

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc ChangeLog README

%changelog
* Sun Feb  9 2014 coolo@suse.com
- updated to 2.72
  * Add minimum version of perl to 5.8.x (CPANTS Kwalitee).
  * Add LICENSE file. (CPANTS).
  * New Release IO-Socket-INET6-2.72
* Fri Jul 26 2013 coolo@suse.com
- updated to 2.71
  * Correct typos.
  - https://rt.cpan.org/Public/Bug/Display.html?id=86344
* Wed Jun  5 2013 coolo@suse.com
- updated to 2.70
  * Fix a typo:
  - https://rt.cpan.org/Ticket/Display.html?id=73143
  * Add t/style-trailing-space.t and got rid of trailing space.
* Wed Nov 30 2011 vcizek@suse.com
- update to 2.69
  * Fix the imports on t/io_multihomed6.t .
  - Fixes https://rt.cpan.org/Ticket/Display.html?id=72769 again.
  * Update the link to the repository in Build.PL.
  * Solved symbol clashes in t/io_multihomed6.t .
  - Fixes https://rt.cpan.org/Ticket/Display.html?id=72769
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Jan 24 2011 vcizek@novell.com
- update to 2.67
  * IO-Socket is doing some imports so we now do use IO::Socket ().
  - Fixed the rest of the imports.
* Mon Jan 17 2011 vcizek@novell.com
- update to 2.66
  2010-06-11 Shlomi Fish <shlomif@iglu.org.il>
  * Add a fix for t/io_multihomed6.t to make sure
  ok 3 will be printed before ok 4. due to many failures in the tests.
  Such as:
  - http://www.cpantesters.org/cpan/report/07413426-b19f-3f77-b713-d32bba55d77f
* Mon Jan 17 2011 vcizek@novell.com
- update to 2.66
  * Made the use Socket call import constants selectively, and not rely
    on @EXPORT's whims:
  - http://www.cpantesters.org/cpan/report/d6e547be-19b5-11e0-bbdc-e5c0d6c987b5
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Jul 19 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
  o changed to Build.PL
- noarch pkg
- added bcond_with test
* Fri Jul 16 2010 anicka@suse.cz
- update to 2.65
  * Add a fix for t/io_multihomed6.t to make sure ok 3 will be
  printed before ok 4
  * Applied a modified patch to t/io_multihomed6.t to correct
  the test on Fedora 10 and others
  * Solved "problems with multihomed and family order"
* Thu Mar 25 2010 anicka@suse.cz
- update to 2.61
  * Fix the inet_pton / inet_ntop import warnings
  * Fix listening on :: or 0.0.0.0 - a random address instead of
  the specified would be used. Added test listen_port_only.t
  * Fixes to t/listen_port_only.t.
  * Syntax change to adapt for older Perls
* Wed Jan 13 2010 anicka@suse.cz
- update to 2.57
  * Applied a modified version of a patch by Matthew Horsfall
  <wolfsage@gmail.com> in order to add t/blocking.t and deal
  with the blocking sockets properly.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Aug  4 2009 anicka@suse.cz
- add dependency to perl-Socket6 (bnc#523433)
* Tue Jun 16 2009 coolo@novell.com
- skip online tests
* Thu Jan 15 2009 anicka@suse.cz
- do not ignore test results (bnc#466026)
* Fri Nov 28 2008 ro@suse.de
- ignore test suite results for the moment
  (will not work without networking support in build environment)
* Mon Oct  6 2008 anicka@suse.cz
- update to 2.56
  * make sure both sides have the same family.
  * Fixed problem with connect to IPv4 w/o given domain on FreeBSD6.1 (and
  other BSD systems).
- remove -family patch (fixed upstream)
* Mon Oct  6 2008 anicka@suse.cz
- do not try to bind when we have AF_INET6 one one side and
  AF_INET on the other side and fix test failures (-family.diff)
* Mon Feb 25 2008 anicka@suse.cz
- update to 2.54
  * Added pack_sockaddr_in6_all to the imports from Socket6 to fix
  the "configure" sub in several cases. Added t/configure6.t to
  test it.
* Thu Feb 21 2008 anicka@suse.cz
- update to 2.53
  * Converted to Build.PL and placed INET6.pm under lib/.
  * Added a "repository" URL to the POD.
  * Added the pod.t and pod-coverage.t files and we now have full
    POD coverage.
  * Added "use warnings" to IO::Socket::INET6.
  * bugfixes, test fixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 15 2005 anicka@suse.cz
- package created
